/**
 * 
 */
package org.freedesktop.minidbus;

/**
 * @author Ed Wei
 *
 */
public final class DBus {
    
    public static final String SERVICE_BUS     = "org.freedesktop.DBus";
    public static final String PATH_DBUS       = "/org/freedesktop/DBus";
    public static final String INTERFACE_DBUS  = "org.freedesktop.DBus";
    
    public static final String PATH_LOCAL      = "/org/freedesktop/DBus/Local";
    public static final String INTERFACE_LOCAL = "org.freedesktop.DBus.Local";
    
    public static final int DBUS_NAME_FLAG_ALLOW_REPLACEMENT = 0x01;
    public static final int DBUS_NAME_FLAG_REPLACE_EXISTING = 0x02;
    public static final int DBUS_NAME_FLAG_DO_NOT_QUEUE = 0x04;
    public static final int DBUS_REQUEST_NAME_REPLY_PRIMARY_OWNER = 1;
    public static final int DBUS_REQUEST_NAME_REPLY_IN_QUEUE = 2;
    public static final int DBUS_REQUEST_NAME_REPLY_EXISTS = 3;
    public static final int DBUS_REQUEST_NAME_REPLY_ALREADY_OWNER = 4;
    public static final int DBUS_RELEASE_NAME_REPLY_RELEASED = 1;
    public static final int DBUS_RELEASE_NAME_REPLY_NON_EXISTANT = 2;
    public static final int DBUS_RELEASE_NAME_REPLY_NOT_OWNER = 3;
    public static final int DBUS_START_REPLY_SUCCESS = 1;
    public static final int DBUS_START_REPLY_ALREADY_RUNNING = 2;
}
